---
redis_daemon: "redis"
redis_port: "6379"
redis_bind_interface: "0.0.0.0" # overload from role

redis_conf_path: "/etc/{{ redis_daemon }}/{{ redis_daemon }}.conf"
redis_conf_mode: 0644
redis_daemonize: "yes"
redis_protected_mode: "yes"

redis_loglevel: "notice"
redis_logfile: "/var/log/{{ redis_daemon }}/{{ redis_daemon }}-server.log"
redis_pidfile: "/var/run/{{ redis_daemon }}/{{ redis_daemon }}-server.pid"

#redis_unixsocket: "/var/run/redis/redis.sock"
redis_unixsocket: ""
redis_timeout: 0
redis_databases: 16

# Set to an empty set to disable persistence (saving the DB to disk).
redis_save:
  - 900 1
  - 300 10
  - 60 10000

redis_rdbcompression: "yes"
redis_dbfilename: "dump.rdb"
redis_dbdir: "/var/lib/{{ redis_daemon }}"

need_sentinel: false

redis_sentinel_daemon: "redis-sentinel"
redis_sentinel_port: 26379
redis_sentinel_bind_interface: "0.0.0.0" # overload from role

redis_sentinel_conf_path: "/etc/redis-sentinel.conf"
redis_sentinel_conf_mode: 0644

redis_sentinel_pidfile: "/var/run/redis-sentinel.pid"
redis_sentinel_logfile: "/var/log/redis/sentinel.log"

redis_sentinel_down_after_milliseconds: 10000
